Bug 312476 - Crash while playing with liquid rescale
Summary: Crash while playing with liquid rescale
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Plugin-Editor-LiquidRescale (show other bugs)
Version: 2.5.0
Platform: Ubuntu Packages Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-02 06:37 UTC by Alain Knaff
Modified: 2016-06-29 20:04 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 4.12.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alain Knaff 2013-01-02 06:37:17 UTC
Application: digikam (2.5.0)
KDE Platform Version: 4.8.5 (4.8.5)
Qt Version: 4.8.1
Operating System: Linux 3.2.0-35-generic x86_64
Distribution: Ubuntu 12.04.1 LTS

-- Information about the crash:
- What I was doing when the application crashed:

1. I tried the liquid rescale tools with really small Width / Height values.
2. Unsatisfied with the results, I pressed Cancel
3. I tried again, but noticing that part of the UI was obscured, I tried dragging the right border of the image slighly to the left, in order to make the UI wider. Then it crashed

-- Backtrace:
Application: digiKam (digikam), signal: Segmentation fault
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
[Current thread is 1 (Thread 0x7f332ceefa00 (LWP 4328))]

Thread 4 (Thread 0x7f330a5c7700 (LWP 4331)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f332715d4db in wait (time=18446744073709551615, this=0x2313e00) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x2313cf8, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00000000005ca1d0 in Digikam::ScanController::run (this=0x2313a90) at /build/buildd/digikam-2.5.0/core/digikam/database/scancontroller.cpp:647
#4  0x00007f332715cfcb in QThreadPrivate::start (arg=0x2313a90) at thread/qthread_unix.cpp:298
#5  0x00007f3321c9ce9a in start_thread (arg=0x7f330a5c7700) at pthread_create.c:308
#6  0x00007f3326386cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7f3309626700 (LWP 4332)):
#0  0x00007ffff45ff8de in ?? ()
#1  0x00007f331e55915d in __GI_clock_gettime (clock_id=<optimized out>, tp=<optimized out>) at ../sysdeps/unix/clock_gettime.c:116
#2  0x00007f33271b3bb4 in do_gettime (frac=0x7f3309625918, sec=0x7f3309625910) at tools/qelapsedtimer_unix.cpp:123
#3  qt_gettime () at tools/qelapsedtimer_unix.cpp:140
#4  0x00007f332728bb8d in QTimerInfoList::updateCurrentTime (this=0x7f32fc002660) at kernel/qeventdispatcher_unix.cpp:343
#5  0x00007f332728bec3 in QTimerInfoList::timerWait (this=0x7f32fc002660, tm=...) at kernel/qeventdispatcher_unix.cpp:450
#6  0x00007f332728a97c in timerSourcePrepareHelper (src=<optimized out>, timeout=0x7f33096259ec) at kernel/qeventdispatcher_glib.cpp:136
#7  0x00007f332728aa25 in timerSourcePrepare (source=<optimized out>, timeout=<optimized out>) at kernel/qeventdispatcher_glib.cpp:169
#8  0x00007f331f8e9846 in g_main_context_prepare () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#9  0x00007f331f8e9f5b in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#10 0x00007f331f8ea164 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#11 0x00007f332728b426 in QEventDispatcherGlib::processEvents (this=0x7f32fc0008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#12 0x00007f332725ac82 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#13 0x00007f332725aed7 in QEventLoop::exec (this=0x7f3309625b50, flags=...) at kernel/qeventloop.cpp:204
#14 0x00007f3327159fa7 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:501
#15 0x00007f332723a9ff in QInotifyFileSystemWatcherEngine::run (this=0x2342730) at io/qfilesystemwatcher_inotify.cpp:248
#16 0x00007f332715cfcb in QThreadPrivate::start (arg=0x2342730) at thread/qthread_unix.cpp:298
#17 0x00007f3321c9ce9a in start_thread (arg=0x7f3309626700) at pthread_create.c:308
#18 0x00007f3326386cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#19 0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7f3303fff700 (LWP 4348)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f332715d4db in wait (time=18446744073709551615, this=0x256b190) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x256aef8, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f332a562ff1 in Digikam::ParkingThread::run (this=0x256aee0) at /build/buildd/digikam-2.5.0/core/libs/threads/threadmanager.cpp:119
#4  0x00007f332715cfcb in QThreadPrivate::start (arg=0x256aee0) at thread/qthread_unix.cpp:298
#5  0x00007f3321c9ce9a in start_thread (arg=0x7f3303fff700) at pthread_create.c:308
#6  0x00007f3326386cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7f332ceefa00 (LWP 4328)):
[KCrash Handler]
#6  QString (other=<error reading variable: Cannot access memory at address 0x8>, this=0x7ffff45d6520) at ../../include/QtCore/../../src/corelib/tools/qstring.h:725
#7  QObject::objectName (this=0x0) at kernel/qobject.cpp:1065
#8  0x00007f32e12fc3cd in DigikamTransformImagePlugin::ContentAwareResizeTool::slotValuesChanged (this=0x67269b0) at /build/buildd/digikam-2.5.0/core/imageplugins/transform/contentawareresizetool.cpp:558
#9  0x00007f32e12fcd68 in DigikamTransformImagePlugin::ContentAwareResizeTool::prepareEffect (this=0x67269b0) at /build/buildd/digikam-2.5.0/core/imageplugins/transform/contentawareresizetool.cpp:688
#10 0x00007f332a64908c in Digikam::EditorToolThreaded::slotEffect (this=0x67269b0) at /build/buildd/digikam-2.5.0/core/utilities/imageeditor/editor/editortool.cpp:578
#11 0x00007f3327275446 in QObject::event (this=0x67269b0, e=<optimized out>) at kernel/qobject.cpp:1195
#12 0x00007f3327c55894 in notify_helper (e=0x67c4960, receiver=0x67269b0, this=0x2151c00) at kernel/qapplication.cpp:4559
#13 QApplicationPrivate::notify_helper (this=0x2151c00, receiver=0x67269b0, e=0x67c4960) at kernel/qapplication.cpp:4531
#14 0x00007f3327c5a713 in QApplication::notify (this=0x7ffff45d7170, receiver=0x67269b0, e=0x67c4960) at kernel/qapplication.cpp:4420
#15 0x00007f332898f3f6 in KApplication::notify (this=0x7ffff45d7170, receiver=0x67269b0, event=0x67c4960) at ../../kdeui/kernel/kapplication.cpp:311
#16 0x00007f332725be9c in QCoreApplication::notifyInternal (this=0x7ffff45d7170, receiver=0x67269b0, event=0x67c4960) at kernel/qcoreapplication.cpp:876
#17 0x00007f332725fc6a in sendEvent (event=0x67c4960, receiver=0x67269b0) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:231
#18 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0x20ef280) at kernel/qcoreapplication.cpp:1500
#19 0x00007f332728af93 in sendPostedEvents () at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:236
#20 postEventSourceDispatch (s=<optimized out>) at kernel/qeventdispatcher_glib.cpp:279
#21 0x00007f331f8e9d53 in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#22 0x00007f331f8ea0a0 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#23 0x00007f331f8ea164 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#24 0x00007f332728b3bf in QEventDispatcherGlib::processEvents (this=0x214c6a0, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#25 0x00007f3327cfdd5e in QGuiEventDispatcherGlib::processEvents (this=<optimized out>, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#26 0x00007f332725ac82 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#27 0x00007f332725aed7 in QEventLoop::exec (this=0x7ffff45d6ff0, flags=...) at kernel/qeventloop.cpp:204
#28 0x00007f332725ff67 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1148
#29 0x000000000048bc5d in main (argc=5, argv=<optimized out>) at /build/buildd/digikam-2.5.0/core/digikam/main/main.cpp:232

Reported using DrKonqi
Comment 1 caulier.gilles 2013-01-02 10:49:26 UTC
It crash in Qt qith a null QObject pointer. This is not reproducible with 3.0.0 RC release. Please update at least 2.9.0 and try again.

Gilles Caulier
Comment 2 caulier.gilles 2015-06-25 12:56:08 UTC
Maik Qualmann <metzpinguin@gmail.com> changed:

           What    |Removed                     |Added
----------------------------------------------------------------------------
   Version Fixed In|                            |4.12.0
         Resolution|---                         |FIXED
      Latest Commit|                            |http://commits.kde.org/digi
                   |                            |kam/a8b7a0713609fc752bbd718
                   |                            |30f72ae01bd8dbb67
             Status|CONFIRMED                   |RESOLVED

--- Comment #12 from Maik Qualmann <metzpinguin@gmail.com> ---
Git commit a8b7a0713609fc752bbd71830f72ae01bd8dbb67 by Maik Qualmann.
Committed on 22/06/2015 at 17:23.
Pushed by mqualmann into branch 'master'.

corrects the values for width and height of the preview image from the image
data interface
Related: bug 269682, bug 317689, bug 340389
FIXED-IN: 4.12.0

M  +5    -1    NEWS
M  +2    -1    utilities/imageeditor/plugin/imageiface.cpp

http://commits.kde.org/digikam/a8b7a0713609fc752bbd71830f72ae01bd8dbb67